'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _htmlTag = require('html-tag');

var _htmlTag2 = _interopRequireDefault(_htmlTag);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

exports.default = function (analytics) {
  return analytics.map(function (_ref) {
    var type = _ref.type,
        config = _ref.config,
        dataCredentials = _ref.dataCredentials,
        opts = _objectWithoutProperties(_ref, ['type', 'config', 'dataCredentials']);

    console.log('config', config);
    return (0, _htmlTag2.default)('amp-analytics', { type: type, config: config, 'data-credentials': dataCredentials }, (0, _htmlTag2.default)('script', { type: 'application/json' }, JSON.stringify(opts)));
  }).join('');
};