'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var textComponentToHtmlTagMap = exports.textComponentToHtmlTagMap = {
  heading: 'h1',
  heading1: 'h1',
  heading2: 'h2',
  heading3: 'h3',
  heading4: 'h4',
  heading5: 'h5',
  heading6: 'h6',
  paragraph: 'p',
  anchor: 'a'
};

exports.default = _extends({}, textComponentToHtmlTagMap, {
  image: 'amp-img',
  video: 'amp-video',
  container: 'div'
});