'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function () {
  var classNameIndex = 0;
  var stylesCache = {};

  var getClassName = function getClassName(styles) {
    var key = JSON.stringify(styles);
    if (stylesCache[key]) {
      return stylesCache[key];
    }

    classNameIndex += 1;
    var value = 's-' + classNameIndex;

    stylesCache[key] = value;
    return value;
  };

  var combinedCss = {};

  return {
    appendStyles: function appendStyles(styles) {
      var className = getClassName(styles);
      Object.assign(combinedCss, _defineProperty({}, '.' + className, styles));

      return className;
    },
    getCombinedCss: function getCombinedCss() {
      return combinedCss;
    }
  };
};